/*
 * Turbo Programmer Utilities, turbo-prog-utils, www.bladox.com 
 *
 * Copyright (C) 2004 BLADOX, s.r.o.
 *
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the
 * Free Software Foundation; either version 2, or (at your option) any
 * later version.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 */

#include <sys/types.h>
#include <sys/stat.h>

int my_stat_size (const char *file_name)
{
  struct stat _st;
  int f;

  f = stat (file_name, &_st);
  if (f < 0)
  {
    printf ("Cannot stat %s\n", file_name);
    exit (1);
  }
//      printf("SS %s %d\n",file_name, _st.st_size);

  return _st.st_size;
}
