#ifndef _BRUM_BRUM_H_
#define _BRUM_BRUM_H_

#define APP_BRUM 	"brum.trb"

#define ACTION_BRUM_INIT 			0x80
#define ACTION_BRUM_SELECT_SLAVE		0x81
#define ACTION_BRUM_TX_DATA			0x82
#define ACTION_BRUM_RX_DATA			0x83
#define ACTION_BRUM_SELECT_REG			0x84
#define ACTION_BRUM_READ_RX_FIFO_DATA 		0x85
#define ACTION_BRUM_WRITE_TX_FIFO_DATA		0x86
#define ACTION_BRUM_READ_RX_FIFO_STATUS		0x87
#define ACTION_BRUM_READ_TX_FIFO_STATUS		0x88
#define ACTION_BRUM_READ_RX_FIFO_CMD		0x89
#define ACTION_BRUM_WRITE_RX_FIFO_CMD		0x90
#define ACTION_BRUM_READ_TX_FIFO_CMD		0x91
#define ACTION_BRUM_WRITE_TX_FIFO_CMD		0x92
#define ACTION_BRUM_READ_CONTROL		0x93
#define ACTION_BRUM_WRITE_CONTROL		0x94
#define ACTION_BRUM_READ_RXCHARS		0x95
#define ACTION_BRUM_READ_TXCHARS		0x96
#define ACTION_BRUM_SET_BRUM_I2C_INT_STATUSn	0x97
#define ACTION_BRUM_SET_BRUM1_SEL		0x98
#define ACTION_BRUM_SET_BRUM2_SEL		0x99
#define ACTION_BRUM_GET_SLAVE			0x9A
#define ACTION_BRUM_READ_DEBUG_CHARS		0x9B
#define ACTION_BRUM_READ_DEBUGFIFO_DATA 	0x9C
#define ACTION_BRUM_RXFIFO_UPLOAD_DATA 		0x9D
#define ACTION_BRUM_TXFIFO_DOWNLOAD_DATA 	0x9E
#define ACTION_BRUM_READ_RSSI			0x9F

#define ACTION_BRUM_APPS_INIT			0xA0
#define ACTION_BRUM_APPS_VERSION		0xA1
#define ACTION_BRUM_APPS_LIST			0xA2
#define ACTION_BRUM_APPS_UPLOAD			0xA3
#define ACTION_BRUM_APPS_REMOVE			0xA4

#define ACTION_BRUM_READ_ID			0xB0

#endif
