#ifndef _CONFIG_TURBO_
#define _CONFIG_TURBO_

#define VERSION_A       3
#define VERSION_B       1
#define VERSION_C       0

#define DEBUG

#define CONFIG_LANG_EN
#define CONFIG_LANG_DE
#define CONFIG_LANG_IT
#define CONFIG_LANG_FR
#define CONFIG_LANG_ES
#define CONFIG_LANG_NL
#define CONFIG_LANG_SE
#define CONFIG_LANG_DK
#define CONFIG_LANG_PT
#define CONFIG_LANG_FI
#define CONFIG_LANG_NO
#define CONFIG_LANG_EL
#define CONFIG_LANG_TR
#define CONFIG_LANG_HU
#define CONFIG_LANG_PL
#define CONFIG_LANG_UN
#define CONFIG_LANG_CZ
#define CONFIG_LANG_HE
#define CONFIG_LANG_AR
#define CONFIG_LANG_RU
#define CONFIG_LANG_IS

//-------------------------------------------------------------------
// PINS
//-------------------------------------------------------------------
#define BRUM_RXD_DDR DDRD
#define BRUM_RXD_DDR_DD DD2
#define BRUM_RXD_PORT PORTD
#define BRUM_RXD_PORT_PIN PORT2

#define BRUM_TXD_DDR DDRD
#define BRUM_TXD_DDR_DD DD3
#define BRUM_TXD_PORT PORTD
#define BRUM_TXD_PORT_PIN PORT3

#define PROG_RESETn_DDR DDRD
#define PROG_RESETn_DDR_DD DD5
#define PROG_RESETn_PORT PORTD
#define PROG_RESETn_PORT_PIN PORT5

#define PROG_SCK_DDR DDRB
#define PROG_SCK_DDR_DD DD1
#define PROG_SCK_PORT PORTB
#define PROG_SCK_PORT_PIN PORT1

#define DEBUG_MOSI_DDR DDRB
#define DEBUG_MOSI_DDR_DD DD2
#define DEBUG_MOSI_PORT PORTB
#define DEBUG_MOSI_PORT_PIN PORT2

#define DEBUG_MISO_DDR DDRB
#define DEBUG_MISO_DDR_DD DD3
#define DEBUG_MISO_PORT PORTB
#define DEBUG_MISO_PORT_PIN PORT3

#define DEBUG_SS_MCU_DDR DDRB
#define DEBUG_SS_MCU_DDR_DD DD0
#define DEBUG_SS_MCU_PORT PORTB
#define DEBUG_SS_MCU_PORT_PIN PORT0

#define BRUM_I2C_INT_STATUSn_ENABLE_DDR DDRB
#define BRUM_I2C_INT_STATUSn_ENABLE_DDR_DD DD7
#define BRUM_I2C_INT_STATUSn_ENABLE_PORT PORTB
#define BRUM_I2C_INT_STATUSn_ENABLE_PORT_PIN PORT7

#define BRUM1_SEL_DDR DDRE
#define BRUM1_SEL_DDR_DD DD2
#define BRUM1_SEL_PORT PORTE
#define BRUM1_SEL_PORT_PIN PORT2

#define BRUM2_SEL_DDR DDRE
#define BRUM2_SEL_DDR_DD DD3
#define BRUM2_SEL_PORT PORTE
#define BRUM2_SEL_PORT_PIN PORT3

//-------------------------------------------------------------------
// UARTs
//-------------------------------------------------------------------
#define BRUM_SIG_UART_RECV SIG_UART1_RECV
#define BRUM_UDR UDR1
#define BRUM_UART_UCSRA UCSR1A
#define BRUM_UART_UCSRB UCSR1B
#define BRUM_UART_UCSRC UCSR1C
#define BRUM_UART_UBRRH UBRR1H
#define BRUM_UART_UBRRL UBRR1L


//-------------------------------------------------------------------
// EXT PORTS
//-------------------------------------------------------------------
#define ENABLES0_WRITE_PORT 2
#define ENABLES1_WRITE_PORT 3

//-------------------------------------------------------------------
// EXT PINS
//-------------------------------------------------------------------
#define EXT_PROG_DEBUG_PDO_ENABLE_PORT ENABLES0_WRITE_PORT
#define EXT_PROG_DEBUG_PDO_ENABLE_PORT_PIN 0

#define EXT_PROG_DEBUG_PDI_ENABLE_PORT ENABLES0_WRITE_PORT
#define EXT_PROG_DEBUG_PDI_ENABLE_PORT_PIN 1

#define EXT_PROG_DEBUG_SCK_ENABLE_PORT ENABLES0_WRITE_PORT
#define EXT_PROG_DEBUG_SCK_ENABLE_PORT_PIN 6

#define EXT_BRUM_UART_ENABLE_PORT ENABLES1_WRITE_PORT
#define EXT_BRUM_UART_ENABLE_PORT_PIN  2

#define EXT_PROG_DEBUG_RESETn_ENABLE_PORT ENABLES0_WRITE_PORT
#define EXT_PROG_DEBUG_RESETn_ENABLE_PORT_PIN 2

#define EXT_PROG_DEBUG_VCC_ENABLE_PORT ENABLES0_WRITE_PORT
#define EXT_PROG_DEBUG_VCC_ENABLE_PORT_PIN 3

#define EXT_PROG_DEBUG_CLK_ENABLE_PORT ENABLES1_WRITE_PORT
#define EXT_PROG_DEBUG_CLK_ENABLE_PORT_PIN 7

#define EXT_I2C_ENABLE_PORT ENABLES1_WRITE_PORT
#define EXT_I2C_ENABLE_PORT_PIN  0

#endif
